# Quota

related to quotas

## Retrieve resources quota

> Get quota details for zones, secondary zones, and records.

```json
{"openapi":"3.0.3","info":{"title":"IONOS Cloud - DNS API","version":"1.18.0"},"tags":[{"name":"Quota","description":"related to quotas"}],"servers":[{"url":"https://dns.de-fra.ionos.com","description":"Frankfurt"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","description":"Please provide header value as 'Bearer <token>' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.","name":"Authorization","in":"header"}},"schemas":{"Quota":{"type":"object","required":["quotaUsage","quotaLimits"],"properties":{"quotaUsage":{"$ref":"#/components/schemas/QuotaDetail"},"quotaLimits":{"$ref":"#/components/schemas/QuotaDetail"}}},"QuotaDetail":{"type":"object","description":"Count of zones and records. This schema is used to show both usage and defined limits (quota)","required":["zones","records","secondaryZones","reverseRecords"],"properties":{"zones":{"type":"integer","default":0,"description":"count of the number of zones"},"secondaryZones":{"type":"integer","default":0,"description":"count of the number of secondary zones"},"records":{"type":"integer","default":0,"description":"count of the number of records"},"reverseRecords":{"type":"integer","default":0,"description":"count of the number of reverse DNS records"}}},"Error":{"type":"object","additionalProperties":false,"properties":{"httpStatus":{"type":"integer","description":"HTTP status code of the operation as specified by [RFC 7231](https://datatracker.ietf.org/doc/html/rfc7231#section-6).\n"},"messages":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"errorCode":{"type":"string","description":"Internal error code.\n"},"message":{"type":"string","description":"Human readable explanation of the issue.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/quota":{"get":{"operationId":"quotaGet","summary":"Retrieve resources quota","description":"Get quota details for zones, secondary zones, and records.","tags":["Quota"],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Quota"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"}}}}}}
```
